AUDIAL(1)

NAME
audial - generate or recognize touch tones for North American telephones

SYNOPSIS
audial [-audio servername] [-volume 0-100] [-spacing milliseconds] [-pause milliseconds] [-duration milliseconds] dialstring

audial -recognize [-microphone] [-gain 0-100] [-time seconds]

DESCRIPTION
The audial program generates touch tones suitable for dialing a North American telephone. audial can also recognize touch tones and produce the corresponding string.

GENERAL OPTIONS
The following options may be used in either dial or recognition mode:

-audio servername
    This option specifies the Network Audio System server on which the files should be played.

DIAL OPTIONS
The following options may be used in dial mode:

-volume 0-100
    This option specifies the volume at which the data should be played as a percentage of the maximum possible volume. The default is 100 percent.

-spacing milliseconds
    This option specifies the number of milliseconds to wait in between each digit. The default is 100.

-pause milliseconds
    This option specifies the number of milliseconds to wait whenever a comma (,) is used in a dial string. The default is 400.

-duration milliseconds
    This option specifies the duration of each tone in milliseconds. The default is 100.

DIALING STRING
The following characters may be used in a dialing string:

0123456789*#
    The corresponding touch tone is generated.

abcd
    Tones representing the 4 "function" keys often found on a keypad are generated.

,   A blank tone whose length is specified by the -pause option is generated.

Any other characters are ignored.

RECOGNITION OPTIONS

-recognize
    Enables recognition mode. audial will attempt to recognize touch tones from the input device and output the corresponding character.

-microphone
    Use microphone gain levels on the audio input device. If a microphone is plugged into the audio input jack, this option should be used.

-gain 0-100
    This option specifies the input gain level. The default is 95.

-time seconds
    This option specifies how long to attempt the recognition. The default is forever.

ENVIRONMENT VARIABLES

The following environment variables are used by audial:

AUDIOSERVER
    This specifies the name of default audio server to contact if no name is explicitly given on the command line.

DISPLAY
    This specifies the name of an X Window System display that should be assumed to also have a corresponding Network Audio System server.

SEE ALSO
nas(1)

COPYRIGHT
Copyright 1993, 1994 Network Computing Devices, Inc.

AUTHORS
Greg Renda, Network Computing Devices, Inc.
Kevin Martin, Network Computing Devices, Inc.